<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <com.qmuiteam.qmui.widget.QMUITopBar
        android:id="@+id/cold_chain_supplement_order_top_bar"
        android:layout_width="match_parent"
        android:layout_height="@dimen/head_height"
        android:fitsSystemWindows="true"
        app:qmui_topbar_text_btn_color_state_list="@color/theme_white_color"
        app:qmui_topbar_title_color="@color/theme_white_color" />

    <TextView
        android:id="@+id/tv_supplement_tip"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:background="@color/black"
        android:paddingLeft="@dimen/dp_15"
        android:paddingTop="@dimen/dp_8"
        android:paddingRight="@dimen/dp_15"
        android:paddingBottom="@dimen/dp_8"
        android:text="補單的運費由餐廳承擔，以每單計算"
        android:textColor="@color/white"
        android:textSize="@dimen/dp_12" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/color_f0"
        android:orientation="vertical"
        android:padding="@dimen/dp_10">

        <com.lihang.ShadowLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/white"
            app:hl_cornerRadius="@dimen/dp_8"
            app:hl_shadowLimit="@dimen/dp_3">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:padding="@dimen/dp_8"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="聯繫人："
                        android:textColor="@color/black"
                        android:textSize="@dimen/dp_16" />

                    <TextView
                        android:id="@+id/tv_supplement_order_name"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="right"
                        android:text="張先生"
                        android:textColor="@color/black"
                        android:textSize="@dimen/dp_16" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_10"
                        android:text="聯繫人電話："
                        android:textColor="@color/black"
                        android:textSize="@dimen/dp_16" />

                    <TextView
                        android:id="@+id/tv_supplement_order_address"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_10"
                        android:layout_weight="1"
                        android:gravity="right"
                        android:text="張先生"
                        android:textColor="@color/black"
                        android:textSize="@dimen/dp_16" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_10"
                        android:text="地址："
                        android:textColor="@color/black"
                        android:textSize="@dimen/dp_16" />

                    <TextView
                        android:id="@+id/tv_supplement_order_phone"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_10"
                        android:layout_weight="1"
                        android:gravity="right"
                        android:text="香港"
                        android:textColor="@color/black"
                        android:textSize="@dimen/dp_16" />
                </LinearLayout>
            </LinearLayout>
        </com.lihang.ShadowLayout>

        <com.lihang.ShadowLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_5"
            android:background="@color/white"
            app:hl_cornerRadius="@dimen/dp_8"
            app:hl_shadowLimit="@dimen/dp_3">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:padding="@dimen/dp_8"

                android:orientation="vertical">

                <TextView
                    style="@style/order_details_title_Style"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="@dimen/dp_8"
                    android:text="商品詳情" />

                <include layout="@layout/include_horizontal_color_ccc_dividing_line" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_10"
                        android:layout_weight="1"
                        android:text="食品"
                        android:textColor="@color/black"
                        android:textSize="@dimen/dp_16" />

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_10"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:text="X1"
                        android:textColor="@color/black"
                        android:textSize="@dimen/dp_16" />

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_10"
                        android:layout_weight="1"
                        android:gravity="right"
                        android:text="$0.0"
                        android:textColor="@color/black"
                        android:textSize="@dimen/dp_16" />
                </LinearLayout>
            </LinearLayout>
        </com.lihang.ShadowLayout>

        <com.lihang.ShadowLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_5"
            android:background="@color/white"
            app:hl_cornerRadius="@dimen/dp_8"
            app:hl_shadowLimit="@dimen/dp_3">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:padding="@dimen/dp_8"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="需要補單數量" />

                <EditText
                    android:id="@+id/ed_supplement_order_number"
                    android:layout_width="@dimen/dp_50"
                    android:gravity="center"
                    android:maxLines="1"
                    android:maxLength="3"
                    android:layout_height="wrap_content"
                    android:inputType="number" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="單" />
            </LinearLayout>
        </com.lihang.ShadowLayout>

        <View
            android:layout_width="wrap_content"
            android:layout_height="0dp"
            android:layout_weight="1" />

        <Button
            android:id="@+id/btn_confirm_supplement_order"
            android:layout_width="match_parent"
            style="@style/app_btn_style"
            android:text="確定" />
    </LinearLayout>
</LinearLayout>